shishi_key_realm_set(3)

NAME
shishi_key_realm_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_key_realm_set(Shishi_key * key, const char * realm);

ARGUMENTS

Shishi_key * key
    structure that holds key information

const char * realm
    string with new realm name.

DESCRIPTION
Set the realm for the principal owning the key. The string is copied into the key, so you can dispose of the variable immediately after calling this function.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.